新固件不兼容当前ros中on

Post Reply
PHKE
Posts: 7
Joined:Thu Aug 15, 2019 8:23 am

新固件不兼容当前ros中on

PostbyPHKE»

Hello,

today, we updated our Scene Scan to firmware version 4.0.0 and tried to launch it with ROS (we use the current version 3.4.0). We got the following error message and breakup of the node:
[ERROR] [1565856258.803210398]: ParameterException while obtaining parameter enumeration: Enumeration contained a ParameterID for which no name is known: 524

Best regards
Phililpp
Top
k.schauwecker
Posts: 72
Joined:Mon Mar 25, 2019 1:12 pm

Re: New Firmware not compatible with current ros version

Postbyk.schauwecker»

Sorry, you are right. The ROS node was a little bit behind. The new version in the git repository is now compatible:
https://github.com/nerian-vision/nerian_stereo

A new release build has been triggered. Usually it takes a couple of days until new release packages are available on the ROS package servers.
Top
PHKE
Posts: 7
Joined:Thu Aug 15, 2019 8:23 am

Re: New Firmware not compatible with current ros version

PostbyPHKE»

Thanks for your reply. I'm sorry to say that, but I updated to ros version 3.5.0 and still getting the same error.
Top
k.schauwecker
Posts: 72
Joined:Mon Mar 25, 2019 1:12 pm

Re: New Firmware not compatible with current ros version

Postbyk.schauwecker»

Do you have an older version of the libvisiontranfer library installed somewhere in a library search path?
Top
PHKE
Posts: 7
Joined:Thu Aug 15, 2019 8:23 am

Re: New Firmware not compatible with current ros version

PostbyPHKE»

Yes, there is an older version in the library search path. After moving this file, I could start the node. But why doesn't the executable find the newer libversion in the first place?
Top
k.schauwecker
Posts: 72
Joined:Mon Mar 25, 2019 1:12 pm

Re: New Firmware not compatible with current ros version

Postbyk.schauwecker»

I'll check. I think there's something in our CMake script that we can do to improve this.
Top
k.schauwecker
Posts: 72
Joined:Mon Mar 25, 2019 1:12 pm

Re: New Firmware not compatible with current ros version

Postbyk.schauwecker»

There's an updated CMake file in the git repository that hopefully solves this problem.

Regards,
Konstantin
Top
PHKE
Posts: 7
Joined:Thu Aug 15, 2019 8:23 am

Re: New Firmware not compatible with current ros version

PostbyPHKE»

With the updated CMakeLists.txt everything worked out well. Thanky you very much.

Best regards,
Philipp
Top
Post Reply